- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Generators::BFIG::ListManipulator< T > Class Template Reference

List of all members.

## Public Types
typedef bool(*) | comp_func (T, T)
typedef std::list< T > | typeList
## Public Member Functions
| ListManipulator ()
void | sort (std::vector< T > &lst, comp_func comp) const
void | merge (std::vector< T > &lst1, std::vector< T > const &lst2, comp_func comp) const
void | merge (std::vector< T > &lst1, T item, comp_func comp) const
std::vector< T > | merge_out (std::vector< T > const &lst1, std::vector< T > const &lst2, comp_func comp) const
void | sort (std::list< T > &lst, comp_func comp) const
void | merge (std::list< T > &lst1, std::list< T > const &lst2, comp_func comp) const
void | merge (std::list< T > &lst1, T item, comp_func comp) const
std::list< T > | merge_out (std::list< T > const &lst1, std::list< T > const &lst2, comp_func comp) const

## Detailed Description

### template<typename T>
class Mers::Generators::BFIG::ListManipulator< T >

Definition at line 29 of file ListManipulator.h.

## Member Function Documentation

template<typename T>

void Mers::Generators::BFIG::ListManipulator< T >::sort | ( | std::vector< T > & | lst,
|  | comp_func | comp |
| ) |  |  | const`[inline]`

Definition at line 50 of file ListManipulator.h.

References Mers::Generators::BFIG::ListManipulator< T >::merge().

Referenced by Mers::Generators::BFIG::BFIGConstraint::addPrimeImplicants(), Mers::Generators::BFIG::BFIGConstraint::makePrimeImplicants(), Mers::Generators::BFIG::operator<<(), and Mers::Generators::BFIG::BFIGVariable::orderCosts().

Here is the call graph for this function:

template<typename T>

void Mers::Generators::BFIG::ListManipulator< T >::sort | ( | std::list< T > & | lst,
|  | comp_func | comp |
| ) |  |  | const`[inline]`

Definition at line 145 of file ListManipulator.h.

References Mers::Generators::BFIG::ListManipulator< T >::merge().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/ListManipulator.h